Package org.apache.commons.collections4.bidimap

# Class AbstractDualBidiMap.KeySet<K>

java.lang.Object
org.apache.commons.collections4.collection.AbstractCollectionDecorator<K>
org.apache.commons.collections4.bidimap.AbstractDualBidiMap.View<K,Object,K>
org.apache.commons.collections4.bidimap.AbstractDualBidiMap.KeySet<K>

Type Parameters:
  `K` - The type of elements maintained by this set

All Implemented Interfaces:
  `Serializable`, `Iterable<K>`, `Collection<K>`, `Set<K>`

Enclosing class:
  `AbstractDualBidiMap<K,V>`

protected static class AbstractDualBidiMap.KeySet<K> extends AbstractDualBidiMap.View<K,Object,K> implements Set<K>
Inner class KeySet.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.commons.collections4.bidimap.AbstractDualBidiMap.View

  `parent`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `KeySet(AbstractDualBidiMap<K,?> parent)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `contains(Object key)`
  `Iterator<K>`
  `iterator()`
  `boolean`
  `remove(Object key)`

  ### Methods inherited from class org.apache.commons.collections4.bidimap.AbstractDualBidiMap.View

  `clear, equals, hashCode, removeAll, removeIf, retainAll`

  ### Methods inherited from class org.apache.commons.collections4.collection.AbstractCollectionDecorator

  `add, addAll, containsAll, decorated, isEmpty, setCollection, size, toArray, toArray, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.Set

  `add, addAll, clear, containsAll, equals, hashCode, isEmpty, removeAll, retainAll, size, spliterator, toArray, toArray`

- ## Constructor Details

  - ### KeySet

    protected KeySet(AbstractDualBidiMap<K,?> parent)
    Constructs a new instance.
    Parameters:
      `parent` - The parent BidiMap

- ## Method Details

  - ### contains

    public boolean contains(Object key)
    Specified by:
      `contains` in interface `Collection<K>`
    Specified by:
      `contains` in interface `Set<K>`
    Overrides:
      `contains` in class `AbstractCollectionDecorator<K>`

  - ### iterator

    public Iterator<K> iterator()
    Specified by:
      `iterator` in interface `Collection<K>`
    Specified by:
      `iterator` in interface `Iterable<K>`
    Specified by:
      `iterator` in interface `Set<K>`
    Overrides:
      `iterator` in class `AbstractCollectionDecorator<K>`

  - ### remove

    public boolean remove(Object key)
    Specified by:
      `remove` in interface `Collection<K>`
    Specified by:
      `remove` in interface `Set<K>`
    Overrides:
      `remove` in class `AbstractCollectionDecorator<K>`